package main

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material.Button
import androidx.compose.material.ButtonDefaults
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp

@Composable
fun compareResults(
    glossaryWords: List<Word>,
    codeWords: List<String>,
    onBackClick: () -> Unit

) {
    Column(
        modifier = Modifier.fillMaxSize(),
        verticalArrangement = Arrangement.Top, // Align content at the top
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text(
            text = "Le code contient ${compareWords(glossaryWords, codeWords)}% des mots du glossaire",
            style = MaterialTheme.typography.h3
        )
    }

    Column(
        modifier = Modifier
            .fillMaxSize()  // Fills the maximum available width
            .padding(16.dp),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally

    ) {
        Text(text = "Le code contient ${compareWords(glossaryWords, codeWords)}% des mots du glossaire")
    }

    Column(
        modifier = Modifier.fillMaxSize().padding(20.dp),
        verticalArrangement = Arrangement.Bottom,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Button(
            onClick = onBackClick,
            colors = ButtonDefaults.buttonColors(
                backgroundColor = customRedColor,
                contentColor = Color.White
            )
        ) {
            Text("Retour")
        }
    }

}

fun compareWords(glossaryWord: List<Word>, wordsCode: List<String>): Int {
    var foundWords = 0
    wordsCode.forEach { wordCode ->
        glossaryWord.forEach { word ->
            if (wordCode.equals(word.name, ignoreCase = true)) {
                foundWords++
            }
        }
    }
    println(foundWords * 100 / wordsCode.size)
    return foundWords * 100 / wordsCode.size
}